Package ch.qos.logback.classic.joran

## Class JoranConfigurator

- java.lang.Object
- - ch.qos.logback.core.spi.ContextAwareBase
  - - ch.qos.logback.core.joran.GenericConfigurator
    - - ch.qos.logback.core.joran.JoranConfiguratorBase<ILoggingEvent>
      - - ch.qos.logback.classic.joran.JoranConfigurator

All Implemented Interfaces:
  `ContextAware`

    public class JoranConfigurator
    extends JoranConfiguratorBase<ILoggingEvent>

JoranConfigurator class adds rules specific to logback-classic.

Author:
  Ceki Gülcü

### Field Summary

### Fields inherited from class ch.qos.logback.core.joran.GenericConfigurator

`interpreter`

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

### Constructor Summary

Constructors
`JoranConfigurator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `addDefaultNestedComponentRegistryRules​(DefaultNestedComponentRegistry registry)`
`void` `addInstanceRules​(RuleStore rs)`

### Methods inherited from class ch.qos.logback.core.joran.JoranConfiguratorBase

`addImplicitRules, buildInterpreter, getInterpretationContext`

### Methods inherited from class ch.qos.logback.core.joran.GenericConfigurator

`doConfigure, doConfigure, doConfigure, doConfigure, doConfigure, doConfigure, doConfigure, getBeanDescriptionCache, informContextOfURLUsedForConfiguration, initialElementPath, recallSafeConfiguration, registerSafeConfiguration`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JoranConfigurator

    public JoranConfigurator()

### Method Detail

#### addInstanceRules

    public void addInstanceRules​(RuleStore rs)

Overrides:
  `addInstanceRules` in class `JoranConfiguratorBase<ILoggingEvent>`

#### addDefaultNestedComponentRegistryRules

    protected void addDefaultNestedComponentRegistryRules​(DefaultNestedComponentRegistry registry)

Overrides:
  `addDefaultNestedComponentRegistryRules` in class `GenericConfigurator`